%define upstream_name	 Digest-BubbleBabble
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Create bubble-babble fingerprints
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Digest/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(Filter::Util::Call)
BuildRequires: perl(inc::Module::Install)
BuildArch:  noarch

%description
Digest::BubbleBabble takes a message digest (generated by either of the MD5 or
SHA-1 message digest algorithms) and creates a fingerprint of that digest in
"bubble babble" format. Bubble babble is a method of representing a message
digest as a string of "real" words, to make the fingerprint easier to remember.
The "words" are not necessarily real words, but they look more like words than
a string of hex characters.

Bubble babble fingerprinting is used by the SSH2 suite (and, consequently, by
Net::SSH::Perl, the Perl SSH implementation) to display easy-to-remember key
fingerprints. The key (a DSA or RSA key) is converted into a textual form,
digested using Digest::SHA1, and run through bubblebabble to create the key
fingerprint.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes META.yml README
%{perl_vendorlib}/Digest
%{_mandir}/man*/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.20.0-12.mga9
+ Revision: 1808820
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.20.0-11.mga8
+ Revision: 1503874
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.20.0-10.mga7
+ Revision: 1282971
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.20.0-9.mga7
+ Revision: 1164075
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.20.0-8.mga7
+ Revision: 1159030
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.20.0-7.mga6
+ Revision: 1025754
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.20.0-6.mga6
+ Revision: 941896
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20.0-5.mga5
+ Revision: 749646
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20.0-4.mga5
+ Revision: 684357
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.20.0-3.mga4
+ Revision: 510873
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-2.mga3
+ Revision: 365918
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Mar 25 2011 jquelin <jquelin> 0.20.0-1.mga1
+ Revision: 77318
- update to 0.02

* Fri Jan 21 2011 jquelin <jquelin> 0.10.0-1.mga1
+ Revision: 30152
- mageia rebuild
- imported package perl-Digest-BubbleBabble


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.10.0-1mdv2010.1
+ Revision: 403105
- rebuild using %%perl_convert_version

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.01-8mdv2009.0
+ Revision: 223657
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0.01-7mdv2008.1
+ Revision: 180385
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Mon Dec 04 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.01-6mdv2007.0
+ Revision: 90378
- rebuild
- Import perl-Digest-BubbleBabble

* Wed Nov 30 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.01-5mdk
- spec cleanup
- better summary
- better description
- rpmbuildupdate aware
- fix directory owbership
- %%mkrel

* Sat Oct 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.01-4mdk
- rpmbuildupdated

